#! /bin/sh

stl_base='http://www.sgi.com/Technology/STL/'

while getopts s: c; do
    case $c in
    s)  stl_base=$OPTARG;;
    \?) echo 'Usage: $0 [-s url] files ...'
        exit 2;;
    esac
done
shift `expr $OPTIND - 1`

echo STL URL is $stl_base

for i in "$@"; do
    echo converting $i ...
    mv $i $i.old
    sed -e "s|HREF=\"stl:|HREF=\"$stl_base|g" \
        -e "s|HREF=\"./stl:|HREF=\"$stl_base|g"  $i.old >$i 
    chmod a+r $i
    chmod go-r $i.old
done
