/* This file is part of the Views Template Library, written by
 * Gary Powell & Martin Weiser
 *
 * Copyright (c) 1999  Gary Powell
 * Copyright (c) 1999  Konrad Zuse Zentrum fuer Informationstechnik Berlin
 *
 * This material is provided "as is", with absolutely no warranty expressed
 * or implied. Any use is at your own risk.
 *
 * Permission to use or copy this software for any purpose is hereby granted 
 * without fee, provided the above notices are retained on all copies.
 * Permission to modify the code and to distribute modified code is granted,
 * provided the above notices are retained, and a notice that the code was
 * modified is included with the above copyright notice.
 */
#if !defined(_FUNCTORS_FWD_HPP)
#define _FUNCTORS_FWD_HPP	1

#if !defined(_VIEW_CONFIG_HPP)
#include "details/view_config.hpp"
#endif

BEGIN_VIEW_NAMESPACE

// Forward declare check_equal so that you don't have to include functors.h
template <class T>
class nop_func;

template <class iter_t_1, class iter_t_2>
inline bool check_equal(iter_t_1, iter_t_1,
                  iter_t_2, iter_t_2);

END_VIEW_NAMESPACE
#endif // _FUNCTORS_H
