/* This file is part of the Views Template Library, written by
 * Gary Powell & Martin Weiser
 *
 * Copyright (c) 1999  Gary Powell
 * Copyright (c) 1999  Konrad Zuse Zentrum fuer Informationstechnik Berlin
 *
 * This material is provided "as is", with absolutely no warranty expressed
 * or implied. Any use is at your own risk.
 *
 * Permission to use or copy this software for any purpose is hereby granted 
 * without fee, provided the above notices are retained on all copies.
 * Permission to modify the code and to distribute modified code is granted,
 * provided the above notices are retained, and a notice that the code was
 * modified is included with the above copyright notice.
 */
#if !defined (_TWO_CONTAINERS_BASEHPP)
#define _TWO_CONTAINERS_BASE_HPP	1

#if !defined(_VIEW_CONFIG_HPP)
#include "details/view_config.hpp"
#endif


BEGIN_VIEW_NAMESPACE

template <class iter_t_a, class iter_t_b>
class unidirectional_base_containers_range_own;

template <class iter_t_a, class iter_t_b>
class two_containers_range_own;


END_VIEW_NAMESPACE


#endif	// _TWO_CONTAINERS_BASE_HPP
