/* This file is part of the Views Template Library, written by
 * Gary Powell & Martin Weiser
 *
 * Copyright (c) 2000  Gary Powell
 * Copyright (c) 2000  Konrad Zuse Zentrum fuer Informationstechnik Berlin
 *
 * This material is provided "as is", with absolutely no warranty expressed
 * or implied. Any use is at your own risk.
 *
 * Permission to use or copy this software for any purpose is hereby granted 
 * without fee, provided the above notices are retained on all copies.
 * Permission to modify the code and to distribute modified code is granted,
 * provided the above notices are retained, and a notice that the code was
 * modified is included with the above copyright notice.
 */

#if !defined(_VIEW_OWNERSHIP_HPP)
#define _VIEW_OWNERSHIP_HPP

template <class X> class aggregated;

class external_ownership;
class shared_ownership;
class aggregated_ownership;
class referenced_ownership;

template <class X, class const_tag, class ownership_tag>
struct ownership;


template <class container, 
          class const_tag, 
          class ownership_tag>
struct ctor_arg;

#endif
